Package org.h2.command.ddl

# Class GrantRevoke

java.lang.Object
org.h2.command.Prepared
org.h2.command.ddl.DefineCommand
org.h2.command.ddl.GrantRevoke

public class GrantRevoke extends DefineCommand
This class represents the statements GRANT RIGHT, GRANT ROLE, REVOKE RIGHT, REVOKE ROLE

## Field Summary

### Fields inherited from class org.h2.command.ddl.DefineCommand

`transactional`

### Fields inherited from class org.h2.command.Prepared

`create, parameters, prepareAlways, session, sqlStatement, sqlTokens`

## Constructor Summary

Constructors
Constructor
Description
`GrantRevoke(SessionLocal session)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addRight(int right)`
Add the specified right bit to the rights bitmap.
`void`
`addRoleName(String roleName)`
Add the specified role to the list of roles.
`void`
`addTable(Table table)`
Add the specified table to the list of tables.
`int`
`getType()`
Get the command type as defined in CommandInterface
`boolean`
`isTransactional()`
Check if this command is transactional.
`void`
`setGranteeName(String granteeName)`
`void`
`setOperationType(int operationType)`
`void`
`setSchema(Schema schema)`
Set the specified schema
`long`
`update()`
Execute the statement.

### Methods inherited from class org.h2.command.ddl.DefineCommand

`isReadOnly, isRetryable, queryMeta, setTransactional`

### Methods inherited from class org.h2.command.Prepared

`checkCanceled, checkParameters, collectDependencies, getCurrentRowNumber, getDatabase, getObjectId, getParameters, getPersistedObjectId, getPlanSQL, getPlanSQL, getSession, getSimpleSQL, getSQL, getSQLTokens, invalidateCachedResult, isCacheable, isQuery, isWithParamValues, needRecompile, prepare, query, setCommand, setCurrentRowNumber, setParameterList, setPersistedObjectId, setPrepareAlways, setRow, setSession, setSQL, setWithParamValues, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### GrantRevoke

public GrantRevoke(SessionLocal session)

## Method Details

### setOperationType

public void setOperationType(int operationType)

### addRight

public void addRight(int right)
Add the specified right bit to the rights bitmap.

Parameters:
  `right` - the right bit

### addRoleName

public void addRoleName(String roleName)
Add the specified role to the list of roles.

Parameters:
  `roleName` - the role

### setGranteeName

public void setGranteeName(String granteeName)

### update

public long update()
Description copied from class: `Prepared`
Execute the statement.

Overrides:
  `update` in class `Prepared`
Returns:
  the update count

### isTransactional

public boolean isTransactional()
Description copied from class: `Prepared`
Check if this command is transactional. If it is not, then it forces the current transaction to commit.

Overrides:
  `isTransactional` in class `DefineCommand`
Returns:
  true if it is

### addTable

public void addTable(Table table)
Add the specified table to the list of tables.

Parameters:
  `table` - the table

### setSchema

public void setSchema(Schema schema)
Set the specified schema

Parameters:
  `schema` - the schema

### getType

public int getType()
Description copied from class: `Prepared`
Get the command type as defined in CommandInterface

Specified by:
  `getType` in class `Prepared`
Returns:
  the statement type